<template>
  <v-row justify-center>
    <v-col cols="12">
      <div class="text-center">
        <v-icon color="red" size="100">$sockiDragon</v-icon>
        <div class="text-h5 mt-8">
          {{ msg }}
        </div>
      </div>
    </v-col>
  </v-row>
</template>
<script>
export default {
  data() {
    return {
      msg: "-"
    };
  },
  created() {
    const badPath = this.$router.history.current.path;
    //If this happens too early then it might not have all the setup stuff available which would trigger an infinite loop
    if (
      !window ||
      !window.$gz ||
      !window.$gz.eventBus ||
      !window.$gz.translation ||
      !window.$gz.store
    ) {
      this.msg = '404 - NOT FOUND: "' + badPath + '"';
    } else {
      const notFoundTranslated = this.$sock.t("ErrorAPI2010");
      //format the message
      this.msg = "404 - " + notFoundTranslated + ': "' + badPath + '"';
      //log it in case we need to see it in tech support
      window.$gz.store.commit("logItem", this.msg);
      //set the title of the window
      window.$gz.eventBus.$emit("menu-change", {
        isMain: true,
        icon: "$sockiDragon",
        title: "404 - " + notFoundTranslated
      });
    }
  }
};
</script>
